#! /bin/sh

# download and create links to required django apps
if [ -d django-panik-emissions ]
then
	(cd django-panik-emissions && git pull --rebase)
else
	git clone
	https://gitlab.domainepublic.net/radiopanik/django-panik-emissions.git -b radio-esperanzah
	ln -s django-panik-emissions/emissions
fi

if [ -d django-panik-newsletter ]
then
	(cd django-panik-newsletter && git pull --rebase)
else
	git clone https://gitlab.domainepublic.net/radiopanik/django-panik-newsletter.git
	ln -s django-panik-newsletter/newsletter
fi

if [ -d django-panik-nonstop ]
then
	(cd django-panik-nonstop && git pull --rebase)
else
	git clone https://gitlab.domainepublic.net/radiopanik/django-panik-nonstop.git
	ln -s django-panik-nonstop/nonstop
fi

if [ -d cmsplugin-blurp ]
then
	(cd cmsplugin-blurp && git pull --rebase)
else
	git clone http://git.entrouvert.org/cmsplugin-blurp.git/ eo-cmsplugin-blurp
	ln -s eo-cmsplugin-blurp/cmsplugin-blurp
fi

if [ -d combo ]
then
	(cd combo && git pull --rebase)
else
	git clone http://git.entrouvert.org/combo.git/ eo-combo
	ln -s eo-combo/combo
fi

# create virtual env
test -d venv || virtualenv --system-site-packages venv/

# create media uploads directory for ckeditor
test -d media/uploads || mkdir -p media/uploads

# install required dependencies
./venv/bin/pip install -r requirements.txt
